Subject: Re: bug#14567: These changes sometimes break plain text navigation

From: Stephen Berman <[email-masked]>
Date: Wed, 10 Jul 2013 23:33:08 +0200

On Wed, 10 Jul 2013 19:27:19 +0300 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Cc: Dima Kogan <[email-masked]>,  [email-masked]
>> Date: Wed, 10 Jul 2013 11:30:48 +0200
>> 
>> The changes in revision 113314 cause problems with repeated C-n:
>> 
>> 0. emacs -Q (any revision post 113313)
>> 1. C-h n to visit NEWS
>> 2. Type C-n and hold it.
>> => Scrolling starts out fine, but around line 270 (sometimes earlier) it
>> starts getting jerky and soon it appears to stop altogether, and only
>> after releasing the keys is the display updated.  From this point on,
>> holding down C-n shows this misbehavior.
>
> I cannot reproduce this, sorry, not with the above recipe.  I tried
> different fonts and different sizes of them, and never saw anything
> like this.  If in your case Emacs cannot keep up due to some high
> computational load (what does the CPU load say?), then I see no sign
> of that on my system when I scroll through NEWS.  If you do see a
> significant CPU load, please tell (in a new bug report, see below)
> what kind of CPU do you have and whether the problem disappears if you
> reduce the keyboard auto-repeat rate.
>
> If you still see this after revision 113360 (where I made changes in
> the same function as in 113314, although I think they are unrelated),
> please report a new bug for this, as the problem you describe has
> nothing to do whatsoever with this bug.  I will then try to give you
> instructions how to instrument line-move-partial and report the
> results.

I updated to revision 113360 and the behavior is worse: now holding down
C-n almost immediately fails to scroll until releasing the keys.  CPU
load goes quickly up to 95% (it also does so on my prior builds starting
with 113314, but not as quickly and only after ~270 lines of C-n'ing).
I've opened a new bug (#14838) with further details.

Steve Berman